Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.webapp.action
Class DisplayFeatureAction

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          com.gisgraphy.webapp.action.DisplayFeatureAction

All Implemented Interfaces:
  com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, java.io.Serializable

    public class DisplayFeatureAction

extends com.opensymphony.xwork2.ActionSupport

DisplayFeature Action

Author:
  David Masclet
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ERROR`
`static java.lang.String` | `ERROR_REF_NON_NUMERIC_FEATUREID` The reference in the localized file for the error for the fact that the specified featureId is not a numeric value
`static java.lang.String` | `ERROR_REF_NON_UNIQUE_RESULT` The reference in the localized file for the error for the fact that more than one features were founds for the specified featureId
`static java.lang.String` | `ERROR_REF_NORESULT` The reference in the localized file for the error for the fact that no features were found for the specified featureId
`static java.lang.String` | `ERROR_REF_REQUIRED_FEATURE_ID` The reference in the localized file for the error for the fact featureId is required

Fields inherited from class com.opensymphony.xwork2.ActionSupport
`LOG`

Fields inherited from interface com.opensymphony.xwork2.Action
`INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`DisplayFeatureAction()`

Method Summary
`java.lang.String` | `execute()`
`java.lang.String` | `getErrorMessage()`
`java.lang.String` | `getErrorRef()`
`java.lang.String` | `getPreferedName()`
`SolrResponseDto` | `getResult()`
`void` | `setFeatureId(java.lang.String featureId)`
`void` | `setFullTextSearchEngine(IFullTextSearchEngine fullTextSearchEngine)`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_REF_REQUIRED_FEATURE_ID

    public static final java.lang.String ERROR_REF_REQUIRED_FEATURE_ID

  The reference in the localized file for the error for the fact featureId is required

  See Also:
    Constant Field Values

### ERROR_REF_NON_NUMERIC_FEATUREID

    public static final java.lang.String ERROR_REF_NON_NUMERIC_FEATUREID

  The reference in the localized file for the error for the fact that the specified featureId is not a numeric value

  See Also:
    Constant Field Values

### ERROR_REF_NON_UNIQUE_RESULT

    public static final java.lang.String ERROR_REF_NON_UNIQUE_RESULT

  The reference in the localized file for the error for the fact that more than one features were founds for the specified featureId

  See Also:
    Constant Field Values

### ERROR_REF_NORESULT

    public static final java.lang.String ERROR_REF_NORESULT

  The reference in the localized file for the error for the fact that no features were found for the specified featureId

  See Also:
    Constant Field Values

### ERROR

    public static final java.lang.String ERROR

See Also:
  Constant Field Values

Constructor Detail

### DisplayFeatureAction

    public DisplayFeatureAction()

Method Detail

### getPreferedName

    public java.lang.String getPreferedName()

  Returns:
    the fullyqualified name if exists, or the name

### execute

    public java.lang.String execute()
                             throws java.lang.Exception

  Specified by:
    `execute` in interface `com.opensymphony.xwork2.Action`
  Overrides:
    `execute` in class `com.opensymphony.xwork2.ActionSupport`
  Throws:
    `java.lang.Exception`

### setFullTextSearchEngine

    public void setFullTextSearchEngine(IFullTextSearchEngine fullTextSearchEngine)

  Parameters:
    `fullTextSearchEngine` - the fullTextSearchEngine to set

### setFeatureId

    public void setFeatureId(java.lang.String featureId)

  Parameters:
    `featureId` - the featureId to set

### getErrorRef

    public java.lang.String getErrorRef()

  Returns:
    the errorRef

### getResult

    public SolrResponseDto getResult()

  Returns:
    the result

### getErrorMessage

    public java.lang.String getErrorMessage()

  Returns:
    the errorMessage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.